<template>
    <div></div>
    <!-- <router-link :to="url" target="_blank"></router-link>   -->
</template>

<script>
import { getToken } from '@/utils/auth'
export default {
    data() {
        return {
            // url: '/new-page' // 目标页面的路径
            jumpUrl: '',
        }
    },
    created() {
        const origin = window.location.origin
        if (origin == 'http://192.168.8.163:21624') {
            this.jumpUrl = origin
        } else {
            this.jumpUrl = 'http://192.168.0.14:18866'
        }
        this.openNewWindow()
        this.$tab.closePage().then(() => {})
    },
    methods: {
        openNewWindow() {
            window.open(
                `${this.jumpUrl}/bigScrap/Home/index?token=${getToken()}`,
                '_blank',
            )
        },
    },
}
</script>
